#ifndef CAMERA_H_
#define CAMERA_H_

#include "matrix.h"
#include "ray.h"
#include "vector.h"

class Camera{
private:
	Vector3 position;
	Vector3 target;
	double fov;
public:
	Camera();
	Camera(const Vector3 &position, const Vector3 &target);
	void set_position(const Vector3 &position);
	void set_target(const Vector3 &target);
	void set_fov(double fov);
	Ray get_primary_ray(double x, double y);
};

#endif
