#include "light.h"

PointLight::PointLight() {
	position = Vector3(0, 0, 0);
}

PointLight::PointLight(const Vector3 &pos, const Color &color) {
	this->position = pos;
}

bool PointLight::intersection(const Ray &ray, IntInfo* i_info) const {
	return false;
}

void PointLight::calc_bbox() {
#ifdef USE_BBOX
	if(!bbox.intersection(ray)) {
		return false;
	}
#endif
	bbox.max = bbox.min = position;
}

Vector3 PointLight::sample() const {
	return position;
}

bool PointLight::is_light() const {
	return true;
}
