#ifndef LIGHT_H_
#define LIGHT_H_

#include "object.h"
#include "vector.h"
#include "color.h"

class PointLight: public Object {
public:
	Vector3 position;

	PointLight();
	PointLight(const Vector3 &pos, const Color &color);
	bool intersection(const Ray &ray, IntInfo* i_info) const;
	void calc_bbox();
	Vector3 sample() const;
	bool is_light() const;
};

#endif
