#ifndef OBJECT_H_
#define OBJECT_H_

#include "color.h"
#include "intinfo.h"
#include "ray.h"
#include "bbox.h"

struct Material {
	Color kd;
	Color ks;
	Color ke;
	double specexp;
	double kr;
};

class Object {
protected:
	Material material;
	BBox bbox;

public:
	bool ignore;

	Object();

	virtual bool intersection(const Ray &ray, IntInfo* i_info) const = 0;

	Material* get_material();
	const Material* get_material() const;
	virtual bool is_light() const;

	virtual void calc_bbox() = 0;
	virtual Vector3 sample() const = 0;
};

#endif
